<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
   <parent>
		<groupId>com.pcloud.common</groupId>
		<artifactId>pcloud-book-parent</artifactId>
		<version>2.1.0-RELEASE</version>
	</parent>
    <modelVersion>4.0.0</modelVersion>

	<groupId>com.pcloud.service</groupId>
	<artifactId>pcloud-service-book</artifactId>
	<version>2.1.0-RELEASE</version>
	<packaging>jar</packaging>

   <name>pcloud-service-book</name>
	<url>http://maven.apache.org</url>


    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
		<!--对外暴露api依赖-->
		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-book</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<!--内部调用依赖-->
       <dependency>
		   <groupId>com.dcg</groupId>
		   <artifactId>CoolQSDK</artifactId>
		   <version>${coolq-sdk.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.common</groupId>
			<artifactId>pcloud-common</artifactId>
			<version>${pcloud-common.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.common</groupId>
			<artifactId>pcloud-common-config</artifactId>
			<version>${pcloud-common-config.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.common</groupId>
			<artifactId>pcloud-common-core</artifactId>
			<version>${pcloud-common-core.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-usercenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-resourcecenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-channelcenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-tradecenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-comment</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-message</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-quartz</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-analysisengine</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-commoncenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-voicemessage</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-settlementcenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-appcenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-raystask</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
  			<artifactId>pcloud-facade-contentcenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>


		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-readercenter</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

        <dependency>
            <groupId>com.pcloud.facade</groupId>
            <artifactId>pcloud-facade-labelcenter</artifactId>
            <version>${pcloud-facade.version}</version>
        </dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-wechatgroup</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-promotion</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-audioapp</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-videolesson</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-liveapp</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-shareimage</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-convert</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-wechat</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>
		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-feedback</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-feedback</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>com.pcloud.facade</groupId>
			<artifactId>pcloud-facade-erp</artifactId>
			<version>${pcloud-facade.version}</version>
		</dependency>

		<dependency>
			<groupId>fakepath</groupId>
			<artifactId>jbarcode</artifactId>
			<version>0.2.8</version>
		</dependency>

		<!--田指导发消息接口-->
		<dependency>
			<groupId>com.dcg</groupId>
			<artifactId>wxgroup-sdk</artifactId>
			<version>${wxgroup-sdk.version}</version>
		</dependency>

		<!--ES相关-->
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-elasticsearch</artifactId>
		</dependency>

		<!--spring-cloud相关-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
        </dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>
      	<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<!--其他-->
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<!-- https://mvnrepository.com/artifact/javax.ws.rs/javax.ws.rs-api -->
		<dependency>
			<groupId>javax.ws.rs</groupId>
			<artifactId>javax.ws.rs-api</artifactId>
			<version>2.1</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>
		</dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.8</version>
        </dependency>

		<!--导入Sentry-->
		<dependency>
			<groupId>io.sentry</groupId>
			<artifactId>sentry-logback</artifactId>
			<version>1.7.30</version>
		</dependency>

    </dependencies>

     <build>
		 <finalName>pcloud-service-book</finalName>
		 <plugins>
             <plugin>
                 <groupId>org.springframework.boot</groupId>
                 <artifactId>spring-boot-maven-plugin</artifactId>
				 <executions>
					 <execution>
						 <goals>
							 <goal>build-info</goal>
						 </goals>
					 </execution>
				 </executions>
             </plugin>
             <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-deploy-plugin</artifactId>
                 <configuration>
                     <skip>true</skip>
                 </configuration>
             </plugin>

			 <plugin>
				 <groupId>org.mybatis.generator</groupId>
				 <artifactId>mybatis-generator-maven-plugin</artifactId>
				 <version>1.3.2</version>
				 <configuration>
					 <verbose>true</verbose>
					 <overwrite>true</overwrite>
				 </configuration>
			 </plugin>
         </plugins>
     </build>
</project>
